Skip to main content
POST
/
generation
/
vidu
/
q2
/
video-turbo
Vidu Q2 Video
curl --request POST \
  --url https://open.skills.video/api/v1/generation/vidu/q2/video-turbo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Improved prompt obedience and motion

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for video generation

Maximum string length: 3000
seed
integer | null

Random seed for reproducibility. If null, a random seed is chosen.

Required range: -9007199254740991 <= x <= 9007199254740991
duration
integer
default:5

Video duration in seconds

Required range: 2 <= x <= 8
resolution
enum<string>
default:720p

Output video resolution

Available options:
720p,
1080p
aspect_ratio
enum<string>
default:16:9

The aspect ratio of the output video

Available options:
16:9,
9:16,
1:1
reference_image_urls
string[]

Reference images for reference-to-video

movement_amplitude
enum<string>
default:auto

The movement amplitude of objects in the frame

Available options:
auto,
small,
medium,
large
generate_audio
boolean
default:false

Whether to add background music to the video (only for 4-second videos)

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Input · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.